> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a contact method



## OpenAPI

````yaml /openapi/contact-methods.json post /contact-methods
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /contact-methods:
    post:
      tags:
        - Contact Methods
      summary: Create a contact method
      operationId: contactMethods.create
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                clientId:
                  type: string
                  format: uuid
                  description: Client ID
                type:
                  enum:
                    - email
                    - phone
                    - mobile
                    - fax
                    - other
                  type: string
                  description: Type
                isPrimary:
                  type: boolean
                  default: false
                  description: Is Primary
                value:
                  type: string
                  minLength: 1
                  description: Value
                label:
                  type: string
                  description: Label
                externalId:
                  type: string
                  description: External ID
                metadata:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties: {}
                  description: Metadata
              required:
                - clientId
                - type
                - value
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  clientId:
                    type: string
                    format: uuid
                    description: Client ID
                  type:
                    enum:
                      - email
                      - phone
                      - mobile
                      - fax
                      - other
                    type: string
                    description: Type
                  isPrimary:
                    type: boolean
                    default: false
                    description: Is Primary
                  value:
                    type: string
                    minLength: 1
                    description: Value
                  label:
                    type: string
                    description: Label
                  isVerified:
                    type: boolean
                  verifiedAt:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  externalId:
                    type: string
                    description: External ID
                  metadata:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                    description: Metadata
                  id:
                    type: string
                    format: uuid
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - clientId
                  - type
                  - value
                  - isVerified
                  - verifiedAt
                  - id
                  - createdAt
                  - updatedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````